org.richfaces.javascript

## Class DnDScript

- java.lang.Object
- - org.richfaces.javascript.DnDScript

- All Implemented Interfaces:
    ScriptString, ScriptWithDependencies, ResourceLibrary
  Direct Known Subclasses:
    DragScript, DropScript

      public abstract class DnDScript
      extends Object
      implements ScriptWithDependencies

  Author:
    abelevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnDScript(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendScript(Appendable target)` Append JavaScript code to @link `Appendable`
    `void` | `appendScriptToStringBuilder(StringBuilder stringBuilder)` Append JavaScript code to @link `StringBuilder`
    `boolean` | `equals(Object obj)`
    `Set<ResourceKey>` | `getBaseResources()`
    `int` | `hashCode()`
    `String` | `toScript()` Return object content as JavaScript String.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.resource.ResourceLibrary

      `getResources`

- - ### Constructor Detail

    - #### DnDScript

          public DnDScript(String name)

  - ### Method Detail

    - #### getBaseResources

          public Set<ResourceKey> getBaseResources()

    - #### appendScriptToStringBuilder

          public void appendScriptToStringBuilder(StringBuilder stringBuilder)

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `StringBuilder`
      Specified by:
        `appendScriptToStringBuilder` in interface `ScriptString`

    - #### toScript

          public String toScript()

      Description copied from interface: `ScriptString`
      Return object content as JavaScript String.
      Specified by:
        `toScript` in interface `ScriptString`
      Returns:
        object content as JavaScript String

    - #### appendScript

          public void appendScript(Appendable target)
                            throws IOException

      Description copied from interface: `ScriptString`
      Append JavaScript code to @link `Appendable`
      Specified by:
        `appendScript` in interface `ScriptString`
      Throws:
        `IOException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.